org.apache.lucene.facet.partitions

## Interface IntermediateFacetResult

All Known Implementing Classes:
  TopKInEachNodeHandler.IntermediateFacetResultWithHash

    public interface IntermediateFacetResult

Intermediate `FacetResult` of faceted search.

This is an empty interface on purpose.

It allows `FacetResultsHandler` to return intermediate result objects that only it knows how to interpret, and so the handler has maximal freedom in defining what an intermediate result is, depending on its specific logic.

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Method Summary

Methods
`FacetRequest` `getFacetRequest()` Facet request for which this temporary result was created.

### Method Detail

#### getFacetRequest

    FacetRequest getFacetRequest()

Facet request for which this temporary result was created.